package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预约时段配置对象 boman_reservat_config_time
 * 
 * @author ruoyi
 * @date 2024-02-27
 */
public class BomanReservatConfigTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预约时段配置ID */
    private Long reservatConfigTimeId;

    /** 可预约日期 */
    @Excel(name = "可预约日期")
    private String reservatConfigDate;

    /** 可预约时间开始 */
    @Excel(name = "可预约时间开始")
    private String reservatConfigTimeBegin;

    /** 可预约时间结束 */
    @Excel(name = "可预约时间结束")
    private String reservatConfigTimeEnd;

    /** 可预约人数 */
    @Excel(name = "可预约人数")
    private Long reservatConfigNum;

    /** 1: AM 2: PM */
    @Excel(name = "1: AM 2: PM")
    private String reservatConfigType;

    /** 当前时段是否可预约 N:不预约  Y:可约 */
    @Excel(name = "当前时段是否可预约 N:不预约  Y:可约")
    private String reservatConfigStatus;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setReservatConfigTimeId(Long reservatConfigTimeId) 
    {
        this.reservatConfigTimeId = reservatConfigTimeId;
    }

    public Long getReservatConfigTimeId() 
    {
        return reservatConfigTimeId;
    }
    public void setReservatConfigDate(String reservatConfigDate) 
    {
        this.reservatConfigDate = reservatConfigDate;
    }

    public String getReservatConfigDate() 
    {
        return reservatConfigDate;
    }
    public void setReservatConfigTimeBegin(String reservatConfigTimeBegin) 
    {
        this.reservatConfigTimeBegin = reservatConfigTimeBegin;
    }

    public String getReservatConfigTimeBegin() 
    {
        return reservatConfigTimeBegin;
    }
    public void setReservatConfigTimeEnd(String reservatConfigTimeEnd) 
    {
        this.reservatConfigTimeEnd = reservatConfigTimeEnd;
    }

    public String getReservatConfigTimeEnd() 
    {
        return reservatConfigTimeEnd;
    }
    public void setReservatConfigNum(Long reservatConfigNum) 
    {
        this.reservatConfigNum = reservatConfigNum;
    }

    public Long getReservatConfigNum() 
    {
        return reservatConfigNum;
    }
    public void setReservatConfigType(String reservatConfigType) 
    {
        this.reservatConfigType = reservatConfigType;
    }

    public String getReservatConfigType() 
    {
        return reservatConfigType;
    }
    public void setReservatConfigStatus(String reservatConfigStatus) 
    {
        this.reservatConfigStatus = reservatConfigStatus;
    }

    public String getReservatConfigStatus() 
    {
        return reservatConfigStatus;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reservatConfigTimeId", getReservatConfigTimeId())
            .append("reservatConfigDate", getReservatConfigDate())
            .append("reservatConfigTimeBegin", getReservatConfigTimeBegin())
            .append("reservatConfigTimeEnd", getReservatConfigTimeEnd())
            .append("reservatConfigNum", getReservatConfigNum())
            .append("reservatConfigType", getReservatConfigType())
            .append("reservatConfigStatus", getReservatConfigStatus())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
